---
title: Title
gitlaburl: https://gitlab.com/arbetsformedlingen/collaboration/decisionlog/-/blob/main//2023-03-30-Preventing-Sensitive-Information-from-Being-Committed-to-Source-Control.md
gitdir: /arbetsformedlingen/collaboration/decisionlog
gitdir-file-path: /2023-03-30-Preventing-Sensitive-Information-from-Being-Committed-to-Source-Control.md
date: '2023-10-12 16:26:13'
path: /arbetsformedlingen/collaboration/decisionlog/2023-03-30-Preventing-Sensitive-Information-from-Being-Committed-to-Source-Control.md
tags:
- 2023-03-30-Preventing-Sensitive-Information-from-Being-Committed-to-Source-Control.md
---
## Title
Preventing Sensitive Information from Being Committed to Source Control

## Context
Our organization handles sensitive information, such as passwords, tokens, and API keys, in our codebase. We have identified some instances in the past where this information has been committed to our source control system, potentially exposing it to unauthorized access. We need to take steps to prevent this from happening in the future.

## Decision
We will implement a policy that prohibits the committing of sensitive information to our source control system. This policy will include guidelines for developers on how to identify and handle sensitive information, as well as automated tools to detect and prevent sensitive information from being committed.

## Status
Proposal. The implementation of the policy is currently in progress. We have identified several automated tools that can be used to detect sensitive information, such as "Git-Secrets" and vaults. We are configuring these tools to scan our repositories and prevent sensitive information from being committed. We are also working with our development teams to ensure that they understand the policy and guidelines for handling sensitive information.

## Consequences
The policy will help us to prevent sensitive information from being exposed through our source control system, reducing the risk of data breaches and other security incidents. However, it may also require some changes to our development workflows and processes, as developers will need to be more careful about what information they include in their code. Additionally, there may be some false positives generated by the automated tools, which may require manual intervention from our development teams. Overall, we believe that the benefits of the policy outweigh the potential drawbacks and that it is a necessary step to ensure the security of our organization's environment and data.
